first cut at turnon scripts for EasyTimer v2
[fw/altos] / ao-bringup / turnon_telegps
index fd879abdb175532ef84ea61328376a1fcd539e7d..45f8fcf5a847d14842120198cb8cf0c651edb555 100755 (executable)
@@ -1,10 +1,12 @@
 #!/bin/sh
 
-if [ -x /usr/bin/dfu-util ]; then
-    DFU_UTIL=/usr/bin/dfu-util
+if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
+        FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
+elif [ -x /usr/bin/ao-flash-lpc ]; then
+        FLASH_LPC=/usr/bin/ao-flash-lpc
 else
-    echo "Can't find dfu-util! Aborting."
-    exit 1
+        echo "Can't find ao-flash-lpc!  Aborting."
+        exit 1
 fi
 
 if [ -x /usr/bin/ao-usbload ]; then
@@ -15,17 +17,16 @@ else
 fi
 
 PRODUCT=TeleGPS
-VERSION=2.0
-REPO=~/altusmetrumllc/Binaries
-
-#BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
-#echo $FILE
+VERSION=3.0
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+echo $FILE
 
 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2017 by Bdale Garbee.  Released under GPL v3+"
+echo "Copyright 2023 by Bdale Garbee.  Released under GPL v3"
 echo
 echo "Expectations:"
-echo "\t$PRODUCT v$VERSION powered from / attached to USB on this computer"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo "\t\twith ST-Link-V2 cabled to debug header"
 echo
 
 case $# in
@@ -46,31 +47,38 @@ esac
 #
 # Use released versions of everything
 #
-FLASH_FILE=$REPO/loaders/telegps-v2.0-altos-flash-*.bin
-ALTOS_FILE=$REPO/telegps-v2.0-*.elf
+FLASH_FILE=~/altusmetrumllc/Binaries/loaders/telegps-v3.0-altos-flash-*.elf
+ALTOS_FILE=~/altusmetrumllc/Binaries/telegps-v3.0-*.elf
+
+echo $FLASH_LPC $FLASH_FILE
+
+$FLASH_LPC $FLASH_FILE || exit 1
 
-$DFU_UTIL -a 0 -s 0x08000000:leave -D $FLASH_FILE || exit 1
+sleep 1
 
-sleep 2
+echo $USBLOAD $ALTOS_FILE
 
 $USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
 
-sleep 3
+sleep 1
 
-dev=`ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
+dev=`ao-list | awk '/TeleGPS-v'"$VERSION"'/ { print $3; exit(0); }'`
 
 case "$dev" in
 /dev/tty*)
-        echo "$PRODUCT found on $dev"
+        echo "TeleGPS found on $dev"
         ;;
 *)
-        echo 'No '"$PRODUCT"'-v'"$VERSION"' found'
+        echo 'No TeleGPS-v'"$VERSION"' found'
         exit 1
         ;;
 esac
 
-SERIAL=$SERIAL ./cal-freq $dev
+CALFILE=cal-$SERIAL.txt
+../ao-tools/ao-cal-freq/ao-cal-freq --output=$CALFILE --tty=$dev
+CAL_VALUE=`cat $CALFILE`
+echo $SERIAL","$CAL_VALUE >> cal_values
 
-./test-telegps-v2
+./test-telegps-v3
 
 exit $?